#ifndef FilePermissionsWidget_h
#define FilePermissionsWidget_h
// $Id: FilePermissionsWidget.h,v 1.6 2014/09/12 08:43:11 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"

#include <QFile>
#include <QHash>
#include <QWidget>
#include <QCheckBox>

class FilePermissionsWidget: public QWidget, public Counter
{

    Q_OBJECT

    public:

    //! constructor
    FilePermissionsWidget( QWidget*, QFile::Permissions = QFile::Permissions() );

    //! destructor
    virtual ~FilePermissionsWidget( void )
    {}

    //! set permissions
    virtual void setPermissions( QFile::Permissions );

    private:

    //! checkbox map
    using CheckBoxMap = QHash< QFile::Permission, QCheckBox* >;

    //! checkbox map
    CheckBoxMap checkboxes_;



};

#endif
